Share via


Service Tags - List

Gets a list of service tag information resources.

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Network/locations/{location}/serviceTags?api-version=2025-05-01

URI Parameters

Name In Required Type Description
location
path True

string

minLength: 1

The name of the Azure region.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

ServiceTagsListResult

The request has succeeded.

Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get list of service tags

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Network/locations/westcentralus/serviceTags?api-version=2025-05-01

Sample response

{
  "name": "public",
  "type": "Microsoft.Network/serviceTags",
  "changeNumber": "63",
  "cloud": "Public",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Network/serviceTags/public",
  "nextLink": "https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Network/locations/centraluseuap/serviceTags?api-version=2020-06-01&changenumber=changenumber&$skipToken={skipToken}",
  "values": [
    {
      "name": "ApiManagement",
      "id": "ApiManagement",
      "properties": {
        "addressPrefixes": [
          "13.64.39.16/32",
          "40.74.146.80/31",
          "40.74.147.32/28"
        ],
        "changeNumber": "7",
        "region": "",
        "systemService": "AzureApiManagement"
      }
    },
    {
      "name": "ApiManagement.AustraliaCentral",
      "id": "ApiManagement.AustraliaCentral",
      "properties": {
        "addressPrefixes": [
          "20.36.106.68/31",
          "20.36.107.176/28"
        ],
        "changeNumber": "2",
        "region": "australiacentral",
        "systemService": "AzureApiManagement"
      }
    },
    {
      "name": "AppService",
      "id": "AppService",
      "properties": {
        "addressPrefixes": [
          "13.64.73.110/32",
          "191.235.208.12/32",
          "191.235.215.184/32"
        ],
        "changeNumber": "13",
        "region": "",
        "systemService": "AzureAppService"
      }
    },
    {
      "name": "ServiceBus",
      "id": "ServiceBus",
      "properties": {
        "addressPrefixes": [
          "23.98.82.96/29",
          "40.68.127.68/32",
          "40.70.146.64/29"
        ],
        "changeNumber": "10",
        "region": "",
        "systemService": "AzureServiceBus"
      }
    },
    {
      "name": "ServiceBus.EastUS2",
      "id": "ServiceBus.EastUS2",
      "properties": {
        "addressPrefixes": [
          "13.68.110.36/32",
          "40.70.146.64/29"
        ],
        "changeNumber": "1",
        "region": "eastus2",
        "systemService": "AzureServiceBus"
      }
    }
  ]
}

Definitions

Name Description
CloudError

An error response from the service.

CloudErrorBody

An error response from the service.

ServiceTagInformation

The service tag information.

ServiceTagInformationPropertiesFormat

Properties of the service tag information.

ServiceTagsListResult

Response for the ListServiceTags API service call.

CloudError

An error response from the service.

Name Type Description
error

CloudErrorBody

Cloud error body.

CloudErrorBody

An error response from the service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

CloudErrorBody[]

A list of additional details about the error.

message

string

A message describing the error, intended to be suitable for display in a user interface.

target

string

The target of the particular error. For example, the name of the property in error.

ServiceTagInformation

The service tag information.

Name Type Description
id

string

The ID of service tag.

name

string

The name of service tag.

properties

ServiceTagInformationPropertiesFormat

Properties of the service tag information.

serviceTagChangeNumber

string

The iteration number of service tag object for region.

ServiceTagInformationPropertiesFormat

Properties of the service tag information.

Name Type Description
addressPrefixes

string[]

The list of IP address prefixes.

changeNumber

string

The iteration number of service tag.

region

string

The region of service tag.

state

string

The state of the service tag.

systemService

string

The name of system service.

ServiceTagsListResult

Response for the ListServiceTags API service call.

Name Type Description
changeNumber

string

The iteration number.

cloud

string

The name of the cloud.

id

string

The ID of the cloud.

name

string

The name of the cloud.

nextLink

string

The URL to get next page of service tag information resources.

type

string

The azure resource type.

values

ServiceTagInformation[]

The list of service tag information resources.